Package ru.bitel.bgbilling.modules.vod.server.bean

# Class VoDServiceActivator.ServiceActivationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ru.bitel.bgbilling.common.BGException
ru.bitel.bgbilling.modules.vod.server.bean.VoDServiceActivator.ServiceActivationException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  VoDServiceActivator

    public static class VoDServiceActivator.ServiceActivationException
    extends ru.bitel.bgbilling.common.BGException

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ServiceActivationException​(int resultCode)` |
  `ServiceActivationException​(int resultCode, java.lang.String message)` |
  `ServiceActivationException​(int resultCode, java.lang.String message, java.lang.Throwable cause)` |
  `ServiceActivationException​(int resultCode, java.lang.Throwable cause)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getResultCode()` |

  ### Methods inherited from class ru.bitel.bgbilling.common.BGException

  `getMessage, getTag, printStackTraceToString, printStackTraceToString, setTag, toString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceActivationException

    public ServiceActivationException​(int resultCode)

  - ### ServiceActivationException

    public ServiceActivationException​(int resultCode, java.lang.String message, java.lang.Throwable cause)

  - ### ServiceActivationException

    public ServiceActivationException​(int resultCode, java.lang.String message)

  - ### ServiceActivationException

    public ServiceActivationException​(int resultCode, java.lang.Throwable cause)

- ## Method Details

  - ### getResultCode

    public int getResultCode()